
Redmine - Feature #5250

Custom Fields may allow full text transformation

2010-04-06 22:25 - Vincent-Xavier JUMEL

Status: Closed Start date: 2010-04-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be interesting to allow administrators to define custom fields that transform the input in a link. That would be quite useful to

link to another external resource.

Related issues:

Related to Redmine - Feature #5794: URL custom fields Closed 2010-07-01

Related to Redmine - Feature #1179: Optionally allow Text and Long Text custo... Closed 2008-05-05

Related to Redmine - Feature #1358: Link_to for Custom Field Closed 2008-06-03

Has duplicate Redmine - Feature #10398: Add a new custom field type with tags... Closed

History

#1 - 2010-04-06 22:56 - Emmanuel Charpentier

- % Done changed from 0 to 20

Here is a way to turn all custom fields into textiled fields:

[source:trunk/app/helpers/issues_helper.rb#L82], change simple_format_without_paragraph into textilizable.

This displays all custom fields as wiki fields.

Making it optional is probably more complex... But having it for all should be all right, at least as a start, no?

#2 - 2010-04-26 11:33 - Jean-Baptiste Henry

Hi, i have the same demand.

But in the 0.9.3 version, the source of issues_helper.rb is not the same at all.

I can't find simple_format_without_paragraph.

I've search in all helpers files:

Search "simple_format_without_paragraph" (2 hits in 2 files)

  \apps\redmine\app\helpers\wiki_helper.rb (1 hits)

    Line 54:     simple_format_without_paragraph(words.join(' '))

  \apps\redmine\app\helpers\application_helper.rb (1 hits)

    Line 475:   def simple_format_without_paragraph(text)

#3 - 2010-04-27 21:59 - Eric Davis

- Category set to Custom fields

- Status changed from New to 7

- Assignee set to Eric Davis

- % Done changed from 20 to 0

I've been working on a few ideas to do this.  I'm hoping to get it to a point where plugins can add their own.

Here's a prototype plugin where I'm working on for this exact problem: http://github.com/edavis10/redmine_url_custom_field

#4 - 2010-04-28 08:51 - Jean-Baptiste Henry

I'm glad you've found another way to do this.
I am impatient to see the result.

#5 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#6 - 2011-12-18 23:55 - Andriy Lesyuk

Another plugin from me: http://projects.andriylesyuk.com/projects/redmine-fields

#7 - 2012-09-06 15:48 - Anton Argirov

Check also my plugin for this functionality:

http://redmine.academ.org/projects/redmine/wiki/Textilizable_Custom_Fields_plug-in

#8 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#9 - 2013-11-16 10:23 - Jean-Philippe Lang

- Related to Feature #1358: Link_to for Custom Field added

#10 - 2013-11-16 10:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #1358.
